#ifndef WEXPORTPROGRAMITEM_H
#define WEXPORTPROGRAMITEM_H
#include <QTableWidgetItem>
#include <QProgressBar>
#include <wProgramManager/threadexportprogrampro.h>
class wExportProgramItem:public QObject, public QTableWidgetItem
{
    Q_OBJECT
public:
    wExportProgramItem(QTableWidget *parent = nullptr,QString strProgramName="",int iIndex=0);
    ~wExportProgramItem();
    bool ExportPro(QString strDestPath,QString strSourceDir);
protected slots:
    void OnProgressSet(float);
    void OnCopyDirOver();
    void OnSendExportProgressValue(int);
private:
    QProgressBar *progress =nullptr;
    ThreadExportProgramPro *pThread=nullptr;
    QTableWidget *m_parent=nullptr;
    int m_iIndex=0;
};

#endif // WEXPORTPROGRAMITEM_H
